
var fs = require('fs');
var path = require('path');
var mkdirp = require('mkdirp');
var builddir = "build";
if(process.argv[2] !== "compileonly") builddir = "build-debug";

module.exports = function() {
  var out = this;
  out.fancyname = "output filesystem";
  out.forEachPage = function(article, cb) {
    mkdirp(path.dirname(builddir+'/'+article.file+"/index.html"), () => {
      var file = builddir+'/'+article.file+"/index.html";
      fs.writeFile(file, article.content, function(err){
        if(err) throw err;
        cb();
      });
    });
  }
}

